import 'dart:async';
import 'package:async/async.dart';
abstract class WatchHelper {
  Future<Result<bool>> initDevice();
  FutureOr<void> getHeartRate();
  FutureOr<void> getSleep();
  FutureOr<void> getSteps();
  FutureOr<void> getDistance();
  Future<void> getActivity();
  Future<dynamic> retrieveData();
  Future<dynamic> getBodyTemperature();
  Future<dynamic> getBloodOxygen();

}